店舗分類項目関連取得
GET
/stores/{store_id}/class_item_relations
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/stores/example/class_item_relations';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/stores/example/class_item_relations \ --header 'Authorization: Bearer <token>'店舗と店舗分類項目との関連付け情報一覧を取得します。
対象プラン
- スタンダード
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”store_id
required
string
店舗ID
Query Parameters
Section titled “Query Parameters”fields
array
検索パラメータ(カンマ区切りで指定可)
Response項目を指定可能
※一部項目(withで指定する項目、2階層目以降の項目)については指定不可
sort
string
並び順(カンマ区切りで指定可)
指定可能なパラメータ
storeClassItemId:店舗分類項目ID
limit
integer
上限数
page
integer
ページ
Responses
Section titled “Responses”取得成功
Media typeapplication/json
Array<object>
object
storeId
店舗ID:店舗毎に付与するID。
string
storeClassId
店舗分類ID:数字10桁以内。
string
storeClassItemId
店舗分類項目ID:数字10桁以内。
string
Example
[ { "storeId": "string", "storeClassId": "string", "storeClassItemId": "string" }]